CBC_CTS_Mode_ExternalCipher Struct Reference

CBC mode with ciphertext stealing, external cipher. More...

`#include <modes.h>`

Inheritance diagram for CBC_CTS_Mode_ExternalCipher:

## Public Types

typedef CipherModeFinalTemplate_ExternalCipher< CBC_CTS_Encryption > | Encryption
typedef CipherModeFinalTemplate_ExternalCipher< CBC_CTS_Decryption > | Decryption
Public Types inherited from SymmetricCipherDocumentation
typedef SymmetricCipher | Encryption
| implements the SymmetricCipher interface
typedef SymmetricCipher | Decryption
| implements the SymmetricCipher interface

## Detailed Description

CBC mode with ciphertext stealing, external cipher.

See also
  Modes of Operation on the Crypto++ wiki.

Since
  Crypto++ 3.0

Definition at line 592 of file modes.h.

## Member Typedef Documentation

## Encryption

typedef CipherModeFinalTemplate_ExternalCipher<CBC_CTS_Encryption> CBC_CTS_Mode_ExternalCipher::Encryption

Definition at line 594 of file modes.h.

## Decryption

typedef CipherModeFinalTemplate_ExternalCipher<CBC_CTS_Decryption> CBC_CTS_Mode_ExternalCipher::Decryption

Definition at line 595 of file modes.h.

The documentation for this struct was generated from the following file:

- modes.h